/*
 *
 * Copyright 2017 Nitrite author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.dizitart.no2.objects.data;

import lombok.EqualsAndHashCode;

/**
 * @author Anindya Chatterjee.
 */
@EqualsAndHashCode
public class WithPrivateConstructor {
    private String name;
    private long number;

    private WithPrivateConstructor() {
        name = "test";
        number = 2;
    }

    public static WithPrivateConstructor create(final String name, final long number) {
        WithPrivateConstructor obj = new WithPrivateConstructor();
        obj.number = number;
        obj.name = name;
        return obj;
    }
}
